servletapi3-3.3.1-lp150.583.1.noarch.rpm


Advertisement

Description

servletapi3 - Java servlet and JSP implementation classes

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE JAVA all
Package name servletapi3
Package version 3.3.1
Package release lp150.583.1
Package architecture noarch
Package type rpm
Installed size 43.58 KB
Download size 44.38 KB
Official Mirror ftp.gwdg.de
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

Alternatives

Package Version Architecture Repository
servletapi3-3.3.1-lp150.1.11.noarch.rpm 3.3.1 noarch openSUSE Oss
servletapi3 - - -

Requires

Name Value
/usr/sbin/update-alternatives -

Provides

Name Value
servlet = 3.3.1
servlet22 = 3.3.1
servlet3 = 3.3.1
servletapi3 = 3.3.1-lp150.583.1

Obsoletes

Name Value
servlet22 < 3.3.1
servlet3 < 3.3.1

Download

Type URL
Binary Package servletapi3-3.3.1-lp150.583.1.noarch.rpm
Source Package servletapi3-3.3.1-lp150.583.1.src.rpm

Install Howto

  1. Add the openSUSE JAVA repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_15.0/ opensuse-java
  2. Install servletapi3 rpm package:
    # zypper install servletapi3

Files

Path
/etc/alternatives/servlet.jar
/usr/share/doc/packages/servletapi3/LICENSE
/usr/share/doc/packages/servletapi3/README
/usr/share/java/servlet.jar
/usr/share/java/servletapi3-3.3.1.jar
/usr/share/java/servletapi3.jar

Changelog

2017-09-18 - fstrba@suse.com
- Fix jdk9 build: specify java source and target 1.6
- Removed patch:
* servletapi3-java14compat.patch
+ not needed, since the java source and target can be handled
by ant.build.javac.{source,target} properties
2015-09-29 - dmueller@suse.com
- build against java-1_8_0-openjdk or newer if available
2014-07-29 - tchvatal@suse.com
- No not mess with the defattr as it is not really needed.
2014-07-21 - tchvatal@suse.com
- Cleanup with spec-cleaner.
- Fix update-alternatives.
2013-09-09 - tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
2006-09-27 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires
2005-07-29 - jsmeix@suse.de
- Adjustments in the spec file.
2005-07-18 - jsmeix@suse.de
- Current version 3.3.1 from JPackage.org
2004-09-16 - skh@suse.de
- Fix prerequires of javadoc subpackage

See Also

Package Description
servletapi3-javadoc-3.3.1-lp150.583.1.noarch.rpm Javadoc for servletapi3
servletapi4-4.0.4-lp150.586.1.noarch.rpm Java servlet and JSP implementation classes
servletapi4-javadoc-4.0.4-lp150.586.1.noarch.rpm Javadoc for servletapi4
servletapi5-5.0.18-lp150.557.1.noarch.rpm Java servlet and JSP implementation classes
skinlf-6.7-lp150.19.1.noarch.rpm Allows developers to write skinnable application using the Swing toolkit
skinlf-demo-6.7-lp150.19.1.noarch.rpm Examples for skinlf
skinlf-javadoc-6.7-lp150.19.1.noarch.rpm Javadoc for skinlf
slf4j-1.7.25-lp150.53.3.noarch.rpm Simple Logging Facade for Java
slf4j-javadoc-1.7.25-lp150.53.3.noarch.rpm Javadoc for slf4j
slf4j-manual-1.7.25-lp150.53.3.noarch.rpm Documents for slf4j
stringtemplate-3.2.1-lp150.2.5.noarch.rpm A Java template engine
stringtemplate-javadoc-3.2.1-lp150.2.5.noarch.rpm API documentation for stringtemplate
swing-layout-1.0.3-lp150.58.1.noarch.rpm Natural layout for Swing panels
swing-layout-javadoc-1.0.3-lp150.58.1.noarch.rpm Natural layout for Swing panels
swing-worker-1.2-lp150.35.1.noarch.rpm UI updates support for long running tasks
Advertisement
Advertisement